Subject: [IPP] Updated draft of "IPP Authentication Methods" white paper posted for review

From: "Kennedy, Smith (Wireless & Standards Architec)" <[email-masked]>
Date: Mon, 30 Apr 2018 19:04:19 +0000

Greetings,

I have posted an updated draft of "IPP Authentication Methods" for review and possible discussion at the May 2018 F2F in two weeks. It is here:

   https://ftp.pwg.org/pub/pwg/ipp/whitepaper/tb-ippauth-20180430.pdf
   https://ftp.pwg.org/pub/pwg/ipp/whitepaper/tb-ippauth-20180430.odt
   https://ftp.pwg.org/pub/pwg/ipp/whitepaper/tb-ippauth-20180430-rev.pdf
   https://ftp.pwg.org/pub/pwg/ipp/whitepaper/tb-ippauth-20180430-rev.odt

Changes include:

Changed to Apache OpenOffice template. Added Mike Sweet as a co-author since he has contributed a great deal of content to the document. Resolved all “to-do” highlighted areas and resolved issues identified in the February 2018 vF2F minutes (https://ftp.pwg.org/pub/pwg/ipp/minutes/ippv2-f2f-minutes-20180207.pdf):

 • Added sequence diagram for X.509 client authentication
 • Added sequence diagram for hybrid 'oauth' / 'digest' authentication
 • Many other changes

I think we'd like to get closure on this, so if there are any technical issues with the assertions made in this document, please offer feedback but I'd also welcome contributions that resolve the areas of ambiguity.

Cheers,

Smith

/**
    Smith Kennedy
    Wireless & Standards Architect - IPG-PPS
    Standards - IEEE ISTO PWG / Bluetooth SIG / Wi-Fi Alliance / NFC Forum / USB-IF
    Chair, IEEE ISTO Printer Working Group
    HP Inc.
*/

_______________________________________________
ipp mailing list
[email-masked]
https://www.pwg.org/mailman/listinfo/ipp